StackMoreLayersДокументация
APIReference

Получить сабмиты соревнования

GET
/competitions/{competition_id}/submissions/
АвторизацияBearer <token>

StackMoreLayers API token. Send as Authorization: Bearer sml_pat_live_<prefix>.<secret>.

In: header

Параметры пути

competition_id*integer

Numeric competition identifier.

Range1 <= value

Параметры запроса

page?integer

1-based page number.

Range1 <= value
Default1
page_size?integer

Items per page.

Range1 <= value <= 200
Default50
phase_id?integer

Restrict the result to a single phase of this competition.

Range1 <= value

Ответ

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/competitions/1/submissions/"
{  "results": [    {      "id": 0,      "username": "string",      "phase_name": "string",      "created_when": "2019-08-24T14:15:22Z",      "status": "string",      "is_public": true    }  ],  "meta": {    "page": 1,    "page_size": 1,    "total": 0  }}